---
RSpec/ExpectInHook:
  Exclude:
    - 'ee/spec/controllers/ee/projects/merge_requests/content_controller_spec.rb'
    - 'ee/spec/controllers/groups/analytics/productivity_analytics_controller_spec.rb'
    - 'ee/spec/controllers/groups/seat_usage_controller_spec.rb'
    - 'ee/spec/controllers/projects/settings/slacks_controller_spec.rb'
    - 'ee/spec/controllers/subscriptions_controller_spec.rb'
    - 'ee/spec/elastic/migrate/20220118150500_delete_orphaned_commits_spec.rb'
    - 'ee/spec/elastic/migrate/20220119120500_populate_commit_permissions_in_main_index_spec.rb'
    - 'ee/spec/features/billings/billing_plans_spec.rb'
    - 'ee/spec/features/boards/new_issue_spec.rb'
    - 'ee/spec/features/projects/feature_flags/user_creates_feature_flag_spec.rb'
    - 'ee/spec/features/projects/feature_flags/user_deletes_feature_flag_spec.rb'
    - 'ee/spec/features/projects/settings/ee/service_desk_setting_spec.rb'
    - 'ee/spec/features/signup_spec.rb'
    - 'ee/spec/features/trial_registrations/company_information_spec.rb'
    - 'ee/spec/finders/license_template_finder_spec.rb'
    - 'ee/spec/finders/projects/integrations/jira/issues_finder_spec.rb'
    - 'ee/spec/finders/template_finder_spec.rb'
    - 'ee/spec/graphql/mutations/gitlab_subscriptions/activate_spec.rb'
    - 'ee/spec/helpers/billing_plans_helper_spec.rb'
    - 'ee/spec/helpers/ee/ci/runners_helper_spec.rb'
    - 'ee/spec/helpers/ee/groups_helper_spec.rb'
    - 'ee/spec/helpers/ee/integrations_helper_spec.rb'
    - 'ee/spec/helpers/ee/issues_helper_spec.rb'
    - 'ee/spec/helpers/ee/projects/security/dast_configuration_helper_spec.rb'
    - 'ee/spec/helpers/kerberos_helper_spec.rb'
    - 'ee/spec/helpers/vulnerabilities_helper_spec.rb'
    - 'ee/spec/lib/ee/api/helpers/members_helpers_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/gon_helper_spec.rb'
    - 'ee/spec/lib/ee/gitlab/hook_data/user_builder_spec.rb'
    - 'ee/spec/lib/gitlab/auth/smartcard/certificate_spec.rb'
    - 'ee/spec/lib/gitlab/checks/diff_check_spec.rb'
    - 'ee/spec/lib/gitlab/ci/minutes/cost_factor_spec.rb'
    - 'ee/spec/lib/gitlab/code_owners/validator_spec.rb'
    - 'ee/spec/lib/gitlab/code_owners_spec.rb'
    - 'ee/spec/lib/gitlab/geo_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/epics/lazy_epic_aggregate_spec.rb'
    - 'ee/spec/lib/gitlab/mirror_spec.rb'
    - 'ee/spec/lib/gitlab/sitemaps/generator_spec.rb'
    - 'ee/spec/lib/gitlab/subscription_portal/clients/graphql_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/advanced_search/build_type_metric_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/advanced_search/distribution_metric_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/advanced_search/lucene_version_metric_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/advanced_search/version_metric_spec.rb'
    - 'ee/spec/models/application_setting_spec.rb'
    - 'ee/spec/models/concerns/ee/issuable_spec.rb'
    - 'ee/spec/models/concerns/geo/replicable_model_spec.rb'
    - 'ee/spec/models/container_repository_spec.rb'
    - 'ee/spec/models/dora/daily_metrics_spec.rb'
    - 'ee/spec/models/ee/project_spec.rb'
    - 'ee/spec/models/gitlab_subscription_spec.rb'
    - 'ee/spec/models/license_spec.rb'
    - 'ee/spec/models/project_import_state_spec.rb'
    - 'ee/spec/presenters/group_member_presenter_spec.rb'
    - 'ee/spec/requests/api/geo_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/groups/analytics/devops_adoption_controller_spec.rb'
    - 'ee/spec/requests/omniauth_kerberos_spec.rb'
    - 'ee/spec/services/app_sec/dast/profiles/update_service_spec.rb'
    - 'ee/spec/services/auto_merge/add_to_merge_train_when_pipeline_succeeds_service_spec.rb'
    - 'ee/spec/services/ci/runners/register_runner_service_spec.rb'
    - 'ee/spec/services/ci/runners/reset_registration_token_service_spec.rb'
    - 'ee/spec/services/ci/runners/unassign_runner_service_spec.rb'
    - 'ee/spec/services/ci/sync_reports_to_approval_rules_service_spec.rb'
    - 'ee/spec/services/ee/ci/job_artifacts/destroy_batch_service_spec.rb'
    - 'ee/spec/services/ee/issues/update_service_spec.rb'
    - 'ee/spec/services/ee/protected_branches/destroy_service_spec.rb'
    - 'ee/spec/services/geo/blob_download_service_spec.rb'
    - 'ee/spec/services/geo/project_housekeeping_service_spec.rb'
    - 'ee/spec/services/geo/registry_consistency_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/create_hand_raise_lead_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/fetch_subscription_plans_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/plan_upgrade_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/reconciliations/calculate_seat_count_data_service_spec.rb'
    - 'ee/spec/services/groups/update_repository_storage_service_spec.rb'
    - 'ee/spec/services/members/await_service_spec.rb'
    - 'ee/spec/services/merge_requests/mergeability/check_approved_service_spec.rb'
    - 'ee/spec/services/merge_requests/mergeability/check_blocked_by_other_mrs_service_spec.rb'
    - 'ee/spec/services/merge_requests/mergeability/check_denied_policies_service_spec.rb'
    - 'ee/spec/services/projects/create_from_template_service_spec.rb'
    - 'ee/spec/services/projects/mark_for_deletion_service_spec.rb'
    - 'ee/spec/services/projects/update_mirror_service_spec.rb'
    - 'ee/spec/services/upcoming_reconciliations/update_service_spec.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/graphql/issuables_lazy_links_aggregate_shared_examples.rb'
    - 'ee/spec/support/shared_examples/models/concerns/elastic/cannot_read_cross_project_shared_examples.rb'
    - 'ee/spec/support/shared_examples/models/concerns/verifiable_replicator_shared_examples.rb'
    - 'ee/spec/support/shared_examples/services/base_sync_service_shared_examples.rb'
    - 'ee/spec/support/shared_examples/status_page/reference_links_examples.rb'
    - 'ee/spec/tasks/gitlab/license_rake_spec.rb'
    - 'ee/spec/tasks/gitlab/spdx_rake_spec.rb'
    - 'ee/spec/workers/analytics/cycle_analytics/consistency_worker_spec.rb'
    - 'ee/spec/workers/concerns/elastic/indexing_control_spec.rb'
    - 'ee/spec/workers/elastic_index_bulk_cron_worker_spec.rb'
    - 'ee/spec/workers/elastic_indexing_control_worker_spec.rb'
    - 'ee/spec/workers/elastic_remove_expired_namespace_subscriptions_from_index_cron_worker_spec.rb'
    - 'ee/spec/workers/geo/secondary/registry_consistency_worker_spec.rb'
    - 'ee/spec/workers/geo/verification_state_backfill_worker_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/dependency_proxy/dependency_proxy_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/composer_registry_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/generic_repository_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/pypi_repository_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/11_fulfillment/license/cloud_activation_spec.rb'
    - 'spec/commands/metrics_server/metrics_server_spec.rb'
    - 'spec/controllers/admin/runners_controller_spec.rb'
    - 'spec/controllers/autocomplete_controller_spec.rb'
    - 'spec/controllers/concerns/controller_with_cross_project_access_check_spec.rb'
    - 'spec/controllers/concerns/spammable_actions/captcha_check/html_format_actions_support_spec.rb'
    - 'spec/controllers/concerns/spammable_actions/captcha_check/json_format_actions_support_spec.rb'
    - 'spec/controllers/concerns/spammable_actions/captcha_check/rest_api_actions_support_spec.rb'
    - 'spec/controllers/groups/boards_controller_spec.rb'
    - 'spec/controllers/groups/dependency_proxy_for_containers_controller_spec.rb'
    - 'spec/controllers/profiles/two_factor_auths_controller_spec.rb'
    - 'spec/controllers/projects/blob_controller_spec.rb'
    - 'spec/controllers/projects/boards_controller_spec.rb'
    - 'spec/controllers/projects/commits_controller_spec.rb'
    - 'spec/controllers/projects/compare_controller_spec.rb'
    - 'spec/controllers/projects/deployments_controller_spec.rb'
    - 'spec/controllers/projects/environments_controller_spec.rb'
    - 'spec/controllers/projects/issues_controller_spec.rb'
    - 'spec/controllers/projects/labels_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/content_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'spec/controllers/projects/notes_controller_spec.rb'
    - 'spec/controllers/projects/prometheus/alerts_controller_spec.rb'
    - 'spec/controllers/projects/settings/ci_cd_controller_spec.rb'
    - 'spec/controllers/projects/settings/operations_controller_spec.rb'
    - 'spec/controllers/projects/tree_controller_spec.rb'
    - 'spec/controllers/projects_controller_spec.rb'
    - 'spec/controllers/search_controller_spec.rb'
    - 'spec/controllers/snippets/notes_controller_spec.rb'
    - 'spec/features/admin/admin_mode/login_spec.rb'
    - 'spec/features/admin/admin_projects_spec.rb'
    - 'spec/features/boards/issue_ordering_spec.rb'
    - 'spec/features/boards/new_issue_spec.rb'
    - 'spec/features/boards/reload_boards_on_browser_back_spec.rb'
    - 'spec/features/dashboard/groups_list_spec.rb'
    - 'spec/features/expand_collapse_diffs_spec.rb'
    - 'spec/features/file_uploads/maven_package_spec.rb'
    - 'spec/features/groups/container_registry_spec.rb'
    - 'spec/features/groups/group_settings_spec.rb'
    - 'spec/features/markdown/markdown_spec.rb'
    - 'spec/features/merge_request/user_merges_when_pipeline_succeeds_spec.rb'
    - 'spec/features/merge_request/user_sees_versions_spec.rb'
    - 'spec/features/oauth_login_spec.rb'
    - 'spec/features/profiles/password_spec.rb'
    - 'spec/features/projects/container_registry_spec.rb'
    - 'spec/features/projects/feature_flags/user_deletes_feature_flag_spec.rb'
    - 'spec/features/projects/files/user_creates_files_spec.rb'
    - 'spec/features/projects/issuable_templates_spec.rb'
    - 'spec/features/projects/show/user_sees_git_instructions_spec.rb'
    - 'spec/features/projects/show/user_sees_setup_shortcut_buttons_spec.rb'
    - 'spec/features/projects/user_sees_sidebar_spec.rb'
    - 'spec/features/protected_branches_spec.rb'
    - 'spec/features/snippets/spam_snippets_spec.rb'
    - 'spec/features/users/login_spec.rb'
    - 'spec/graphql/mutations/design_management/move_spec.rb'
    - 'spec/helpers/commits_helper_spec.rb'
    - 'spec/helpers/groups_helper_spec.rb'
    - 'spec/helpers/projects_helper_spec.rb'
    - 'spec/helpers/search_helper_spec.rb'
    - 'spec/helpers/users_helper_spec.rb'
    - 'spec/initializers/validate_database_config_spec.rb'
    - 'spec/lib/api/entities/merge_request_changes_spec.rb'
    - 'spec/lib/api/helpers/variables_helpers_spec.rb'
    - 'spec/lib/api/helpers_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/banzai/reference_redactor_spec.rb'
    - 'spec/lib/bulk_imports/common/extractors/json_extractor_spec.rb'
    - 'spec/lib/bulk_imports/common/extractors/ndjson_extractor_spec.rb'
    - 'spec/lib/bulk_imports/ndjson_pipeline_spec.rb'
    - 'spec/lib/container_registry/gitlab_api_client_spec.rb'
    - 'spec/lib/file_size_validator_spec.rb'
    - 'spec/lib/gitlab/alert_management/fingerprint_spec.rb'
    - 'spec/lib/gitlab/auth/request_authenticator_spec.rb'
    - 'spec/lib/gitlab/auth_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_snippet_repositories_spec.rb'
    - 'spec/lib/gitlab/background_migration/legacy_upload_mover_spec.rb'
    - 'spec/lib/gitlab/bitbucket_server_import/importer_spec.rb'
    - 'spec/lib/gitlab/cache/ci/project_pipeline_status_spec.rb'
    - 'spec/lib/gitlab/checks/changes_access_spec.rb'
    - 'spec/lib/gitlab/checks/matching_merge_request_spec.rb'
    - 'spec/lib/gitlab/checks/single_change_access_spec.rb'
    - 'spec/lib/gitlab/ci/artifact_file_reader_spec.rb'
    - 'spec/lib/gitlab/ci/build/prerequisite/factory_spec.rb'
    - 'spec/lib/gitlab/ci/build/prerequisite/kubernetes_namespace_spec.rb'
    - 'spec/lib/gitlab/ci/build/rules/rule/clause/exists_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/ports_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/processable_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/test/junit_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/command_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/config/content_spec.rb'
    - 'spec/lib/gitlab/ci/status/build/failed_spec.rb'
    - 'spec/lib/gitlab/ci/trace/remote_checksum_spec.rb'
    - 'spec/lib/gitlab/cleanup/orphan_lfs_file_references_spec.rb'
    - 'spec/lib/gitlab/cleanup/project_uploads_spec.rb'
    - 'spec/lib/gitlab/cleanup/remote_uploads_spec.rb'
    - 'spec/lib/gitlab/contributions_calendar_spec.rb'
    - 'spec/lib/gitlab/current_settings_spec.rb'
    - 'spec/lib/gitlab/daemon_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_migration_runner_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_migration_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/health_status_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/host_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/load_balancer_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/batched_background_migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/runner_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/partition_manager_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/table_management_helpers_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_spec.rb'
    - 'spec/lib/gitlab/database/postgres_autovacuum_activity_spec.rb'
    - 'spec/lib/gitlab/database/query_analyzer_spec.rb'
    - 'spec/lib/gitlab/database/with_lock_retries_outside_transaction_spec.rb'
    - 'spec/lib/gitlab/database/with_lock_retries_spec.rb'
    - 'spec/lib/gitlab/database_importers/common_metrics/importer_spec.rb'
    - 'spec/lib/gitlab/database_importers/instance_administrators/create_group_spec.rb'
    - 'spec/lib/gitlab/diff/highlight_cache_spec.rb'
    - 'spec/lib/gitlab/email/service_desk_receiver_spec.rb'
    - 'spec/lib/gitlab/faraday/error_callback_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/git_access_snippet_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/commit_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/operation_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/repository_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/diff_note_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/pull_requests_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/parallel_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/parallel_scheduling_spec.rb'
    - 'spec/lib/gitlab/github_import/user_finder_spec.rb'
    - 'spec/lib/gitlab/gpg_spec.rb'
    - 'spec/lib/gitlab/graphql/generic_tracing_spec.rb'
    - 'spec/lib/gitlab/health_checks/gitaly_check_spec.rb'
    - 'spec/lib/gitlab/health_checks/probes/collection_spec.rb'
    - 'spec/lib/gitlab/health_checks/puma_check_spec.rb'
    - 'spec/lib/gitlab/health_checks/server_spec.rb'
    - 'spec/lib/gitlab/http_spec.rb'
    - 'spec/lib/gitlab/import_export/base/relation_factory_spec.rb'
    - 'spec/lib/gitlab/import_export/base/relation_object_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/command_line_util_spec.rb'
    - 'spec/lib/gitlab/import_export/decompressed_archive_size_validator_spec.rb'
    - 'spec/lib/gitlab/import_export/group/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/import_failure_service_spec.rb'
    - 'spec/lib/gitlab/import_export/json/ndjson_reader_spec.rb'
    - 'spec/lib/gitlab/import_export/lfs_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/reader_spec.rb'
    - 'spec/lib/gitlab/import_export/saver_spec.rb'
    - 'spec/lib/gitlab/import_export/snippet_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/snippets_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/jira_import/labels_importer_spec.rb'
    - 'spec/lib/gitlab/kas/client_spec.rb'
    - 'spec/lib/gitlab/kubernetes/kube_client_spec.rb'
    - 'spec/lib/gitlab/kubernetes/kubeconfig/template_spec.rb'
    - 'spec/lib/gitlab/memory/instrumentation_spec.rb'
    - 'spec/lib/gitlab/memory/jemalloc_spec.rb'
    - 'spec/lib/gitlab/metrics/boot_time_tracker_spec.rb'
    - 'spec/lib/gitlab/metrics/exporter/metrics_middleware_spec.rb'
    - 'spec/lib/gitlab/metrics/samplers/puma_sampler_spec.rb'
    - 'spec/lib/gitlab/middleware/memory_report_spec.rb'
    - 'spec/lib/gitlab/middleware/multipart_spec.rb'
    - 'spec/lib/gitlab/omniauth_initializer_spec.rb'
    - 'spec/lib/gitlab/pages/deployment_update_spec.rb'
    - 'spec/lib/gitlab/pagination/gitaly_keyset_pager_spec.rb'
    - 'spec/lib/gitlab/patch/database_config_spec.rb'
    - 'spec/lib/gitlab/project_search_results_spec.rb'
    - 'spec/lib/gitlab/redis/queues_spec.rb'
    - 'spec/lib/gitlab/repository_cache_adapter_spec.rb'
    - 'spec/lib/gitlab/sidekiq_daemon/monitor_spec.rb'
    - 'spec/lib/gitlab/tracking/destinations/snowplow_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/collected_data_categories_metric_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/generic_metric_spec.rb'
    - 'spec/lib/gitlab/usage_data/topology_spec.rb'
    - 'spec/lib/gitlab/usage_data_spec.rb'
    - 'spec/lib/gitlab/utils/usage_data_spec.rb'
    - 'spec/lib/gitlab/verify/job_artifacts_spec.rb'
    - 'spec/lib/gitlab/verify/lfs_objects_spec.rb'
    - 'spec/lib/gitlab/verify/uploads_spec.rb'
    - 'spec/lib/gitlab/zentao/query_spec.rb'
    - 'spec/lib/gitlab_spec.rb'
    - 'spec/lib/omni_auth/strategies/jwt_spec.rb'
    - 'spec/lib/prometheus/pid_provider_spec.rb'
    - 'spec/lib/sidebars/projects/menus/external_issue_tracker_menu_spec.rb'
    - 'spec/lib/sidebars/projects/menus/external_wiki_menu_spec.rb'
    - 'spec/mailers/emails/service_desk_spec.rb'
    - 'spec/metrics_server/metrics_server_spec.rb'
    - 'spec/models/ability_spec.rb'
    - 'spec/models/application_setting_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/namespace_mirror_spec.rb'
    - 'spec/models/ci/pipeline_spec.rb'
    - 'spec/models/ci/runner_spec.rb'
    - 'spec/models/clusters/platforms/kubernetes_spec.rb'
    - 'spec/models/clusters/providers/aws_spec.rb'
    - 'spec/models/clusters/providers/gcp_spec.rb'
    - 'spec/models/commit_range_spec.rb'
    - 'spec/models/concerns/cacheable_attributes_spec.rb'
    - 'spec/models/concerns/featurable_spec.rb'
    - 'spec/models/concerns/issuable_spec.rb'
    - 'spec/models/container_repository_spec.rb'
    - 'spec/models/deployment_metrics_spec.rb'
    - 'spec/models/design_management/version_spec.rb'
    - 'spec/models/environment_spec.rb'
    - 'spec/models/event_spec.rb'
    - 'spec/models/group_spec.rb'
    - 'spec/models/integrations/emails_on_push_spec.rb'
    - 'spec/models/member_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/postgresql/replication_slot_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/route_spec.rb'
    - 'spec/models/snippet_repository_spec.rb'
    - 'spec/models/snippet_spec.rb'
    - 'spec/models/ssh_host_key_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/policies/ci/bridge_policy_spec.rb'
    - 'spec/policies/project_policy_spec.rb'
    - 'spec/presenters/ci/build_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_presenter_spec.rb'
    - 'spec/presenters/commit_presenter_spec.rb'
    - 'spec/presenters/commit_status_presenter_spec.rb'
    - 'spec/presenters/group_member_presenter_spec.rb'
    - 'spec/presenters/project_member_presenter_spec.rb'
    - 'spec/requests/api/avatar_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/ci/runner/runners_post_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/add_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/toggle_spec.rb'
    - 'spec/requests/api/graphql/mutations/jira_import/import_users_spec.rb'
    - 'spec/requests/api/graphql/mutations/notes/update/image_diff_note_spec.rb'
    - 'spec/requests/api/graphql/project/error_tracking/sentry_detailed_error_request_spec.rb'
    - 'spec/requests/api/graphql/terraform/state/delete_spec.rb'
    - 'spec/requests/api/graphql/terraform/state/lock_spec.rb'
    - 'spec/requests/api/graphql/terraform/state/unlock_spec.rb'
    - 'spec/requests/api/group_export_spec.rb'
    - 'spec/requests/api/group_import_spec.rb'
    - 'spec/requests/api/groups_spec.rb'
    - 'spec/requests/api/helpers_spec.rb'
    - 'spec/requests/api/internal/base_spec.rb'
    - 'spec/requests/api/issues/post_projects_issues_spec.rb'
    - 'spec/requests/api/issues/put_projects_issues_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/npm_project_packages_spec.rb'
    - 'spec/requests/api/project_debian_distributions_spec.rb'
    - 'spec/requests/api/project_packages_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/v3/github_spec.rb'
    - 'spec/requests/health_controller_spec.rb'
    - 'spec/requests/import/gitlab_groups_controller_spec.rb'
    - 'spec/requests/openid_connect_spec.rb'
    - 'spec/requests/projects/merge_requests/diffs_spec.rb'
    - 'spec/rubocop/cop/performance/ar_count_each_spec.rb'
    - 'spec/rubocop/cop/performance/ar_exists_and_present_blank_spec.rb'
    - 'spec/scripts/setup/find_jh_branch_spec.rb'
    - 'spec/scripts/trigger-build_spec.rb'
    - 'spec/serializers/diffs_metadata_entity_spec.rb'
    - 'spec/serializers/merge_request_diff_entity_spec.rb'
    - 'spec/services/auto_merge/merge_when_pipeline_succeeds_service_spec.rb'
    - 'spec/services/award_emojis/add_service_spec.rb'
    - 'spec/services/captcha/captcha_verification_service_spec.rb'
    - 'spec/services/ci/create_pipeline_service_spec.rb'
    - 'spec/services/ci/delete_objects_service_spec.rb'
    - 'spec/services/ci/job_artifacts/destroy_all_expired_service_spec.rb'
    - 'spec/services/ci/job_artifacts/destroy_batch_service_spec.rb'
    - 'spec/services/ci/register_job_service_spec.rb'
    - 'spec/services/clusters/integrations/prometheus_health_check_service_spec.rb'
    - 'spec/services/container_expiration_policies/cleanup_service_spec.rb'
    - 'spec/services/dependency_proxy/find_cached_manifest_service_spec.rb'
    - 'spec/services/dependency_proxy/image_ttl_group_policies/update_service_spec.rb'
    - 'spec/services/design_management/copy_design_collection/copy_service_spec.rb'
    - 'spec/services/design_management/generate_image_versions_service_spec.rb'
    - 'spec/services/design_management/save_designs_service_spec.rb'
    - 'spec/services/discussions/capture_diff_note_position_service_spec.rb'
    - 'spec/services/environments/reset_auto_stop_service_spec.rb'
    - 'spec/services/error_tracking/list_projects_service_spec.rb'
    - 'spec/services/git/base_hooks_service_spec.rb'
    - 'spec/services/git/branch_push_service_spec.rb'
    - 'spec/services/git/wiki_push_service/change_spec.rb'
    - 'spec/services/groups/update_service_spec.rb'
    - 'spec/services/import/github_service_spec.rb'
    - 'spec/services/import/gitlab_projects/create_project_service_spec.rb'
    - 'spec/services/import/gitlab_projects/file_acquisition_strategies/remote_file_s3_spec.rb'
    - 'spec/services/issues/relative_position_rebalancing_service_spec.rb'
    - 'spec/services/issues/zoom_link_service_spec.rb'
    - 'spec/services/jira_import/start_import_service_spec.rb'
    - 'spec/services/labels/update_service_spec.rb'
    - 'spec/services/lfs/file_transformer_spec.rb'
    - 'spec/services/loose_foreign_keys/batch_cleaner_service_spec.rb'
    - 'spec/services/members/destroy_service_spec.rb'
    - 'spec/services/merge_requests/cleanup_refs_service_spec.rb'
    - 'spec/services/merge_requests/merge_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_broken_status_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_ci_status_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_discussions_status_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_draft_status_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_open_status_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/run_checks_service_spec.rb'
    - 'spec/services/merge_requests/mergeability_check_service_spec.rb'
    - 'spec/services/merge_requests/squash_service_spec.rb'
    - 'spec/services/merge_requests/update_service_spec.rb'
    - 'spec/services/notes/quick_actions_service_spec.rb'
    - 'spec/services/notification_recipients/builder/default_spec.rb'
    - 'spec/services/notification_recipients/builder/new_note_spec.rb'
    - 'spec/services/packages/cleanup/execute_policy_service_spec.rb'
    - 'spec/services/packages/debian/process_changes_service_spec.rb'
    - 'spec/services/packages/generic/create_package_file_service_spec.rb'
    - 'spec/services/packages/helm/extract_file_metadata_service_spec.rb'
    - 'spec/services/packages/helm/process_file_service_spec.rb'
    - 'spec/services/packages/mark_package_files_for_destruction_service_spec.rb'
    - 'spec/services/packages/maven/metadata/sync_service_spec.rb'
    - 'spec/services/packages/rubygems/process_gem_service_spec.rb'
    - 'spec/services/packages/update_package_file_service_spec.rb'
    - 'spec/services/pages/zip_directory_service_spec.rb'
    - 'spec/services/pages_domains/obtain_lets_encrypt_certificate_service_spec.rb'
    - 'spec/services/projects/after_rename_service_spec.rb'
    - 'spec/services/projects/branches_by_mode_service_spec.rb'
    - 'spec/services/projects/container_repository/delete_tags_service_spec.rb'
    - 'spec/services/projects/container_repository/gitlab/delete_tags_service_spec.rb'
    - 'spec/services/projects/container_repository/third_party/delete_tags_service_spec.rb'
    - 'spec/services/projects/create_from_template_service_spec.rb'
    - 'spec/services/projects/destroy_service_spec.rb'
    - 'spec/services/projects/import_export/export_service_spec.rb'
    - 'spec/services/projects/import_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_download_service_spec.rb'
    - 'spec/services/projects/overwrite_project_service_spec.rb'
    - 'spec/services/projects/refresh_build_artifacts_size_statistics_service_spec.rb'
    - 'spec/services/projects/transfer_service_spec.rb'
    - 'spec/services/projects/update_pages_service_spec.rb'
    - 'spec/services/projects/update_remote_mirror_service_spec.rb'
    - 'spec/services/projects/update_repository_storage_service_spec.rb'
    - 'spec/services/search_service_spec.rb'
    - 'spec/services/snippets/update_repository_storage_service_spec.rb'
    - 'spec/services/suggestions/apply_service_spec.rb'
    - 'spec/services/suggestions/create_service_spec.rb'
    - 'spec/services/system_notes/commit_service_spec.rb'
    - 'spec/services/system_notes/issuables_service_spec.rb'
    - 'spec/services/user_project_access_changed_service_spec.rb'
    - 'spec/support/shared_examples/controllers/wiki_actions_shared_examples.rb'
    - 'spec/support/shared_examples/csp.rb'
    - 'spec/support/shared_examples/features/wiki/user_views_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/notes_creation_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/ci/ci_trace_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/database/reestablished_connection_stack_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/diff_file_collections_shared_examples.rb'
    - 'spec/support/shared_examples/lib/wikis_api_examples.rb'
    - 'spec/support/shared_examples/metrics/sampler_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/has_wiki_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/update_namespace_statistics_shared_examples.rb'
    - 'spec/support/shared_examples/models/mentionable_shared_examples.rb'
    - 'spec/support/shared_examples/quick_actions/issuable/close_quick_action_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/helm_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/repositories_shared_context.rb'
    - 'spec/support/shared_examples/serializers/note_entity_shared_examples.rb'
    - 'spec/support/shared_examples/services/boards/boards_recent_visit_shared_examples.rb'
    - 'spec/support/shared_examples/services/error_tracking_service_shared_examples.rb'
    - 'spec/support/shared_examples/services/projects/update_repository_storage_service_shared_examples.rb'
    - 'spec/support/shared_examples/services/repositories/housekeeping_shared_examples.rb'
    - 'spec/support/shared_examples/services/wiki_pages/destroy_service_shared_examples.rb'
    - 'spec/support/shared_examples/uploaders/object_storage_shared_examples.rb'
    - 'spec/support/shared_examples/workers/background_migration_worker_shared_examples.rb'
    - 'spec/support/shared_examples/workers/concerns/git_garbage_collect_methods_shared_examples.rb'
    - 'spec/tasks/gitlab/backup_rake_spec.rb'
    - 'spec/tasks/gitlab/cleanup_rake_spec.rb'
    - 'spec/tasks/gitlab/gitaly_rake_spec.rb'
    - 'spec/tasks/gitlab/praefect_rake_spec.rb'
    - 'spec/lib/gitlab/task_helpers_spec.rb'
    - 'spec/tooling/danger/feature_flag_spec.rb'
    - 'spec/tooling/rspec_flaky/listener_spec.rb'
    - 'spec/uploaders/file_mover_spec.rb'
    - 'spec/uploaders/gitlab_uploader_spec.rb'
    - 'spec/uploaders/object_storage_spec.rb'
    - 'spec/views/shared/runners/_runner_details.html.haml_spec.rb'
    - 'spec/workers/bulk_imports/pipeline_worker_spec.rb'
    - 'spec/workers/ci/build_finished_worker_spec.rb'
    - 'spec/workers/concerns/gitlab/github_import/object_importer_spec.rb'
    - 'spec/workers/concerns/limited_capacity/job_tracker_spec.rb'
    - 'spec/workers/concerns/limited_capacity/worker_spec.rb'
    - 'spec/workers/create_commit_signature_worker_spec.rb'
    - 'spec/workers/gitlab/github_import/stage/import_repository_worker_spec.rb'
    - 'spec/workers/gitlab/jira_import/import_issue_worker_spec.rb'
    - 'spec/workers/gitlab/jira_import/stage/finish_import_worker_spec.rb'
    - 'spec/workers/gitlab_performance_bar_stats_worker_spec.rb'
    - 'spec/workers/group_import_worker_spec.rb'
    - 'spec/workers/incident_management/close_incident_worker_spec.rb'
    - 'spec/workers/integrations/create_external_cross_reference_worker_spec.rb'
    - 'spec/workers/packages/helm/extraction_worker_spec.rb'
    - 'spec/workers/packages/nuget/extraction_worker_spec.rb'
    - 'spec/workers/post_receive_spec.rb'
    - 'spec/workers/projects/git_garbage_collect_worker_spec.rb'
    - 'spec/workers/projects/refresh_build_artifacts_size_statistics_worker_spec.rb'
    - 'spec/workers/run_pipeline_schedule_worker_spec.rb'
    - 'spec/workers/service_desk_email_receiver_worker_spec.rb'
    - 'spec/workers/upload_checksum_worker_spec.rb'
